#ifndef DS1302_H
#define DS1302_H

#define SCLK  PC6
#define IO	  PC5
#define RST_L PC4

#define DDR_1302 	DDRC
#define PIN_1302 	PINC
#define PORT_1302	PORTC

#define TRICKLE_CHARGE_VALUE 0x00

#define RAM 0x40

struct date
{
	u08 tag;
	u08 monat;
	u08 jahr;
	u08 wt;
};

struct time
{
	u08 h;
	u08 m;
	u08 s;
};

struct dt
{
	struct date d;
	struct time t;
};

enum wochentag
{
	MO 	= 1,
	DI 	= 2,
	MI		= 3,
	DO		= 4,
	FR		= 5,
	SA		= 6,
	SO		= 7,
};

// low level funktions ******************************

void write_command_byte_ds1302(u08 control);
void write_data_byte_ds1302(u08 data);
u08  read_data_byte_ds1302(void);

// **************************************************


// public functions *********************************

void init_ds1302(void);
void read_time_ds1302(struct dt *date_time);
void write_time_ds1302(struct dt *date_time);
void write_byte_ds1302(u08 data, u08 adr);
u08  read_byte_ds1302(u08 adr);
u08  bin2bcd(u08 bin);
u08  bcd2bin(u08 bcd);

// **************************************************




#endif
